Scanned Codes
A scanned code is a barcode that a merchant scans. The code can be used to create a Payment Request.
Scanned Code Model
Attributes
code
stringscannedBy
stringprovider
stringdisplayName
stringmerchantConfigId
string
Decode Scanned Code
This endpoint allows you to decode a scanned code.
Attributes
code
stringrequiredscannedBy
stringrequiredmerchantConfigId
stringrequired
Errors
UNKNOWN_CODE
403MERCHANT_CONFIG_NOT_FOUND
403INVALID_MERCHANT_CONFIG
403
curl -X POST https://service.centrapay.com/api/decode \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "code": "123456789", "scannedBy": "merchant", "merchantConfigId": "P9gm1s1Cu1Q5uooxs"}'{ "code": "123456789", "scannedBy": "merchant", "merchantConfigId": "P9gm1s1Cu1Q5uooxs", "provider": "farmlands", "displayName": "Farmlands Card"}